Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations
GETCDP OperationsSince 5.1.4SynchronousAuth Required

GetCdpBackupStorageRequirement

GetCdpBackupStorageRequirement

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • backupStorageUuidStringRequired

    The backup storage UUID.

Query Parameters

  • limitInteger

    Optional.

  • startInteger

    Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • requiredMapRequired

    The conditions required.

  • currentMapRequired

    The current conditions.

  • successbooleanRequired

    Whether the task is successful.

  • nextStepStringRequired

    The next step.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/cdp-backup-storage/{backupStorageUuid}/requirement

/zstack/v1/cdp-backup-storage/{backupStorageUuid}/requirement

Operation ID

GetCdpBackupStorageRequirement

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/cdp-backup-storage/{backupStorageUuid}/requirement?limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "nextStep": "None", "required": { "qemuVersion": "6.2.0" }, "current": { "cdpVersion": "cdp" } }

Change History

This API has no change history records yet.

View all change history